import * as log from './log'
import * as utils from './utils'

export class EspThermMessage {
    private _client : string
    private _temperature : number
    private _voltage : number
    private _timeConsumed : number

    constructor(client:string, temperature:number, voltage:number, timeConsumed:number) {
        this._client = client
        this._temperature = temperature
        this._voltage = voltage
        this._timeConsumed = timeConsumed
    }

    toString() :string {
        return JSON.stringify(this)
    }

    toJSON() : any {
        return utils.jsonPrepaper(this, [])
    }
}

export function espThermToJson(message : any) : any {
    let messageStr : string = "" + <string>message
    let parts : string[] = messageStr.split(' ')
    let espThermMessage : EspThermMessage = new EspThermMessage(parts[0], 
        parseFloat(parts[1]), parseFloat(parts[2]), 
        parseInt(parts[3]))
    return espThermMessage
}