import * as log from './log'
import * as mqtt from './mqttdispatcher'
import * as callchain from './callchain'
import * as plugintest1 from './plugintest1'

import * as EspThermToJson from './espthermtojson'
import * as MongoSave from './mongosave'

log.info("Dispatcher starting")
let dispatcher = new mqtt.MqttDispatcher("mqtts://broker.hottis.de:8883", 
  "wn", "locutus", "/home/wn/server-ca.crt")

dispatcher.register('IoT/espThermometer2/#', 'toJson', EspThermToJson.espThermToJson)


let atlasUrl = "mongodb://receiver:esp8266.@cluster0-shard-00-00-7qduq.mongodb.net:27017,cluster0-shard-00-01-7qduq.mongodb.net:27017,cluster0-shard-00-02-7qduq.mongodb.net:27017/hottis?ssl=true&replicaSet=Cluster0-shard-0&authSource=admin"
let mongo : MongoSave.MongoSave = new MongoSave.MongoSave(atlasUrl)
dispatcher.register('IoT/espThermometer2/#', 'MongoSave', mongo);


dispatcher.exec()
log.info("Dispatcher running")






